## libselinux-1.32.tar.bz2

=== src/Makefile ===
# Installation directories.
PREFIX ?= /usr
LIBDIR ?= $(PREFIX)/lib
SHLIBDIR ?= $(DESTDIR)/lib
INCLUDEDIR ?= $(PREFIX)/include
PYLIBVER ?= $(shell python -c 'import sys;print "python%d.%d" % sys.version_info[0:2]')
PYINC ?= /usr/include/$(PYLIBVER)
PYLIB ?= /usr/lib/$(PYLIBVER)
PYTHONLIBDIR ?= $(LIBDIR)/$(PYLIBVER)

LIBVERSION = 1


LIBA=libselinux.a 
TARGET=libselinux.so
LIBPC=libselinux.pc
SWIGIF= selinuxswig.i
SWIGCOUT= selinuxswig_wrap.c
SWIGLOBJ:= $(patsubst %.c,%.lo,$(SWIGCOUT)) 
SWIGSO=_selinux.so
SWIGFILES=$(SWIGSO) selinux.py 
LIBSO=$(TARGET).$(LIBVERSION)
OBJS= $(patsubst %.c,%.o,$(filter-out $(SWIGCOUT),$(wildcard *.c))) 
LOBJS= $(patsubst %.c,%.lo,$(filter-out $(SWIGCOUT),$(wildcard *.c)))
CFLAGS ?= -Wall -W -Wundef -Wmissing-noreturn -Wmissing-format-attribute
override CFLAGS += -I../include -I$(INCLUDEDIR) -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64
RANLIB=ranlib

ARCH := $(patsubst i%86,i386,$(shell uname -m))
ifneq (,$(filter i386,$(ARCH)))
TLSFLAGS += -mno-tls-direct-seg-refs
endif

SWIG = swig -Wall -python -o $(SWIGCOUT) -outdir ./

GENERATED=$(SWIGCOUT)

all: $(LIBA) $(LIBSO) 

pywrap: all $(SWIGSO)

$(LIBA):  $(OBJS)
	$(AR) rcs $@ $^
	$(RANLIB) $@

$(SWIGLOBJ): $(SWIGCOUT)
	$(CC) $(CFLAGS) -I$(PYINC) -fpic -DSHARED -c -o $@ $<

$(SWIGSO): $(SWIGLOBJ)
	$(CC) $(LDFLAGS) -shared -o $@ $< -L. -lselinux -L$(LIBDIR) -Wl,-soname,$@

$(LIBSO): $(LOBJS)
	$(CC) $(LDFLAGS) -shared -o $@ $^ -ldl -lsepol -L$(LIBDIR) -Wl,-soname,$(LIBSO),-z,relro
	ln -sf $@ $(TARGET) 

$(LIBPC): $(LIBPC).in
	sed -e 's/@VERSION@/$(VERSION)/; s:@prefix@:$(PREFIX):; s:@libdir@:$(LIBDIR):; s:@includedir@:$(INCLUDEDIR):' < $< > $@

%.o:  %.c policy.h
	$(CC) $(CFLAGS) $(TLSFLAGS) -c -o $@ $<

%.lo:  %.c policy.h
	$(CC) $(CFLAGS) -fpic -DSHARED -c -o $@ $<

$(SWIGCOUT): $(SWIGIF)
	$(SWIG) $^

swigify: $(SWIGIF)
	$(SWIG) $^

install: all
	test -d $(DESTDIR)$(LIBDIR) || install -m 755 -d $(DESTDIR)$(LIBDIR)
	install -m 644 $(LIBA) $(DESTDIR)$(LIBDIR)
	test -d $(DESTDIR)$(LIBDIR)/pkgconfig || install -m 755 -d $(DESTDIR)$(LIBDIR)/pkgconfig
	install -m 644 $(LIBPC) $(DESTDIR)$(LIBDIR)/pkgconfig
	test -d $(SHLIBDIR) || install -m 755 -d $(SHLIBDIR)
	install -m 755 $(LIBSO) $(SHLIBDIR)
	cd $(DESTDIR)$(LIBDIR) && ln -sf ../../`basename $(SHLIBDIR)`/$(LIBSO) $(TARGET)

install-pywrap: 
	test -d $(DESTDIR)$(PYTHONLIBDIR)/site-packages || install -m 755 -d $(DESTDIR)$(PYTHONLIBDIR)/site-packages
	install -m 755 $(SWIGFILES) $(DESTDIR)$(PYTHONLIBDIR)/site-packages

relabel:
	/sbin/restorecon $(SHLIBDIR)/$(LIBSO)

clean: 
	-rm -f $(OBJS) $(LOBJS) $(LIBA) $(LIBSO) $(SWIGLOBJ) $(SWIGSO) $(TARGET) $(LIBPC)

distclean: clean
	rm -f $(SWIGSO)

indent:
	../../Lindent $(filter-out $(GENERATED),$(wildcard *.[ch]))

=== debian/changelog ===
libselinux (1.32-3) unstable; urgency=high

  * Bug fix: "python-selinux: package almost empty (except on i386)",
    thanks to Martin Dickopp. Actually, any time the sources are built
    straight from the .dsc, there exists a possibility that that the swig
    output .x file could be older than the source; and while it is
    feasible to use "touch" and md5sums of source files to fix this, it is
    far less kludgy to just build depend on swig. No other changes are
    made, and the swig output is only used by the python-selinux package.
    This fixes a grave bug on python-selinux               (Closes: #395915).

 -- Manoj Srivastava <srivasta@debian.org>  Sun,  5 Nov 2006 13:19:27 -0600

libselinux (1.32-2) unstable; urgency=medium

  * Fix an instance of dpkg-shlibs being called with no arguments on some
    arches (I am not sure why it works for me on i386 UML's, but not on
    the buildd's, but the current version fixes the obvious bug).

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 20 Oct 2006 14:40:36 -0500

libselinux (1.32-1) unstable; urgency=low

  * New upstream release
    * Merged av_permissions.h update from Steve Grubb, adding
      setsockcreate and polmatch definitions.  
    * Merged patch from Darrel Goeddel to always use untranslated contexts
      in the userspace AVC.  
    *  Updated version for release. 

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 20 Oct 2006 12:43:14 -0500

libselinux (1.30.28-2) unstable; urgency=high

  * Bug fix: "dpkg FTBFS", thanks to Nicolas François. Urgency high, since
    it makes an unrelated essential package FTBS,         (Closes: #389291).

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 26 Sep 2006 01:11:35 -0500

libselinux (1.30.28-1) unstable; urgency=high

  * New upstream point release
      * Merged patch from Steve Smalley to fix SIGPIPE in setrans_client
      * Merged c++ class identifier fix from Joe Nall.
  * Bug fix: "libselinux1-dev: pkgconfig file needs Libs.private:
    -lpthread", thanks to Daniel Schepler . Since this is a serious bug,
    and makes important libraries FTBS, I am making the urgency high.
                                                       (Closes: #388375).

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 20 Sep 2006 13:20:24 -0500

libselinux (1.30.27-3) unstable; urgency=low

  * Recompile with new libsepol1 version, to fix dependencies.

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 11 Sep 2006 15:37:51 -0500

libselinux (1.30.27-2) unstable; urgency=low

  * The strategy of not building  setrans_client on machines that lack
    tls support fell flat on its face, so switch to using posix thread
    mutexes instead.

 -- Manoj Srivastava <srivasta@debian.org>  Thu,  7 Sep 2006 02:12:49 -0500

libselinux (1.30.27-1) unstable; urgency=low

  * New upstream point release
     * Merged patch to not log avc stats upon a reset from Steve Grubb.
     * Applied patch to revert compat_net setting upon policy load.
  * Provide md5sums
  * Bug fix: "FTBFS on architectures lacking TLS support", thanks to Marco
    d'Itri.  We don't build setrans_client on machines that lack tls
    support, and matchpathcon has been fixed to not require thread local
    storage.                                                 (Closes: #384667).
  * Bug fix: "libselinux: .version file for python package
    (python-selinux) contains spaces", thanks to Rudolph Pereira
                                                             (Closes: #385099).

 -- Manoj Srivastava <srivasta@debian.org>  Wed,  6 Sep 2006 23:55:37 -0500

libselinux (1.30.26-2) unstable; urgency=low

  * Fix wrong directory the extensions were installed in.

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 15 Aug 2006 00:04:39 -0500

libselinux (1.30.26-1) unstable; urgency=low

  * New upstream point release
    * Merged file context homedir and local path functions from Chris
      PeBenito.  
    * Rework functions that access /proc/pid/attr to access the per-thread
      nodes, and unify the code to simplify maintenance. 
    * Merged return value fix for *getfilecon() from Dan Walsh.
    * Merged sockcreate interfaces from Eric Paris.

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 13 Aug 2006 00:24:19 -0500

libselinux (1.30.22-2) unstable; urgency=low

  * Fix a thinko in the python dependency generation code.

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 11 Aug 2006 09:35:56 -0500

libselinux (1.30.22-1) unstable; urgency=low

  * New upstream  point release
    * Merged no-tls-direct-seg-refs patch from Jeremy Katz.
    * Merged netfilter_contexts support patch from Chris PeBenito.
    * Merged context_*_set errno patch from Jim Meyering.
  * Bug fix: "libselinux: FTBFS on powerpc (refers to PAGE_SIZE not
    supplied by ppc kernel-headers)", thanks to Devin Carraway.  This was
    fixed in the point release.                        (Closes: #381666).
  * Bug fix: "libselinux1: Should run "telinit u" in postinst script",
    thanks to Piotr Kaczuba                            (Closes: #382021).
  * Moved the package to the new Python policy. This means that the old
    python2.4-selinux package is now a virtual package, and now we provide
    python packages for all supported versions of python, determining the
    depends and the provides relationships of the python package
    dynamically. The build depends has been changed to acoomodate it. The
    package uses the python-support utility to help with byte compilation
    and other modules handling.

 -- Manoj Srivastava <srivasta@debian.org>  Wed,  9 Aug 2006 21:22:21 -0500

libselinux (1.30.19-1) unstable; urgency=low

  * New upstream point release. 
    * Lindent.
    * Merged {get,set}procattrcon patch set from Eric Paris.
    * Merged re-base of keycreate patch originally by Michael LeMay from Eric Paris.
    * Regenerated Flask headers from refpolicy.
    * Merged patch from Dan Walsh with:
      - Added selinux_file_context_{cmp,verify}.


=== debian/control ===
Source: libselinux
Priority: optional
Section: libs
Maintainer: Manoj Srivastava <srivasta@debian.org>
Standards-Version: 3.7.2.0
Build-Depends: file, libsepol1-dev (>= 1.14), python-all-dev (>= 2.3.5-11), swig
XS-Python-Version: >= 2.3

Package: selinux-utils
Architecture: any
Section: admin
Depends: ${shlibs:Depends}
Description: SELinux utility programs
 This package provides various utility programs for a Security-enhanced
 Linux system. Security-enhanced Linux is a patch of the Linux kernel
 and a number of utilities with enhanced security functionality
 designed to add mandatory access controls to Linux. This package
 provides utility programs to get and set process and file security
 contexts and to obtain security policy decisions.

Package: libselinux1
Architecture: any
Section: libs
Priority: required
Depends: ${shlibs:Depends}
Description: SELinux shared libraries
 This package provides the shared libraries for Security-enhanced
 Linux. Security-enhanced Linux is a patch of the Linux kernel and a
 number of utilities with enhanced security functionality designed to
 add mandatory access controls to Linux.  The Security-enhanced Linux
 kernel contains new architectural components originally developed to
 improve the security of the Flask operating system. These
 architectural components provide general support for the enforcement
 of many kinds of mandatory access control policies, including those
 based on the concepts of Type Enforcement, Role-based Access
 Control, and Multi-level Security.
 .
 libselinux1 provides an API for SELinux applications to get and set
 process and file security contexts and to obtain security policy
 decisions.  Required for any applications that use the SELinux API.


Package: libselinux1-dev
Architecture: any
Depends: ${shlibs:Depends},  libselinux1 (= ${Source-Version}), libsepol1-dev (>= 1.12)
Section: libdevel
Provides: libselinux-dev
Conflicts: libselinux-dev
Description: SELinux development headers
 This package provides the  static libraries and header files
 needed for developing SELinux applications.  Security-enhanced Linux
 is a patch of the Linux kernel and a number of utilities with
 enhanced security functionality designed to add mandatory access
 controls to Linux.  The Security-enhanced Linux kernel contains new
 architectural components originally developed to improve the security
 of the Flask operating system. These architectural components provide
 general support for the enforcement of many kinds of mandatory access
 control policies, including those based on the concepts of Type
 Enforcement, Role-based Access Control, and Multi-level Security.

Package: python-selinux
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}, python-support
Section: devel
Conflicts: python2.4-selinux (<= 1.30-1), libselinux-dev (<= 1.28-1)
Replaces: python2.4-selinux, libselinux-dev
Provides: ${python:Provides}
Description: Python bindings to SELinux shared libraries
 This package provides the python bindings needed for developing python 
 SELinux applications.  Security-enhanced Linux is a patch of the
 Linux kernel and a number of utilities with enhanced security
 functionality designed to add mandatory access controls to Linux.
 The Security-enhanced Linux kernel contains new architectural
 components originally developed to improve the security of the Flask
 operating system. These architectural components provide general
 support for the enforcement of many kinds of mandatory access control
 policies, including those based on the concepts of Type Enforcement,
 Role-based Access Control, and Multi-level Security.

=== debian/watch ===
# format version number, currently 2; this line is compulsory!
version=2

http://www.nsa.gov/selinux/code/download5.cfm ../archives/libselinux-(.*)\.tgz
#http://www.nsa.gov/selinux/archives/libselinux-(.*)\.tgz
